DataProvider::NullDataProviderFactory Class Reference

The null data provider factory. More...

Inheritance diagram for DataProvider::NullDataProviderFactory:
[legend]

## Protected Member Functions

Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info. More...
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.
Protected Member Functions inherited from DataProvider::AbstractDataProviderFactory
| error (string err, string fmt)
| thrown an exception
list< hash< auto > > | getExampleProviderRecordOutputImpl (InputStream example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument. More...
string | getNameImpl ()
| Returns the name of the data provider factory.
AbstractDataProvider | getProviderFromExampleImpl (InputStream example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments. More...

## Protected Attributes

const | FactoryInfo
| Factory info.

## Static Protected Attributes

static Class | cls = new Class("NullDataProvider")
| Data provider type info.

## Additional Inherited Members

Public Member Functions inherited from DataProvider::AbstractDataProviderFactory
AbstractDataProvider | create (*hash< auto > options)
| Creates an object from the given constructor options.
Class | getClass ()
| Returns the class for the data provider object.
list< hash< auto > > | getExampleProviderRecordOutput (data example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument. More...
list< hash< auto > > | getExampleProviderRecordOutput (InputStream example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument. More...
hash< DataProviderFactoryInfo > | getInfo ()
| Returns static factory information. More...
hash< auto > | getInfoAsData (*bool with_type_info)
| Returns static provider information as data; no objects are returned. More...
string | getName ()
| Returns the name of the data provider factory.
AbstractDataProvider | getProviderFromExample (data example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments. More...
AbstractDataProvider | getProviderFromExample (InputStream example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments. More...
hash< DataProviderInfo > | getProviderInfo ()
| Returns static provider information. More...

## Detailed Description

The null data provider factory.

## Member Function Documentation

## getInfoImpl()

hash<DataProviderFactoryInfo> DataProvider::NullDataProviderFactory::getInfoImpl | ( |  | ) |

protectedvirtual

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

Implements DataProvider::AbstractDataProviderFactory.